com.sap.conn.jco

## Enum JCoFunctionUnitState

- java.lang.Object
- - java.lang.Enum<JCoFunctionUnitState>
  - - com.sap.conn.jco.JCoFunctionUnitState

- All Implemented Interfaces:
    Serializable, Comparable<JCoFunctionUnitState>

      public enum JCoFunctionUnitState
      extends Enum<JCoFunctionUnitState>

  Defines possible function unit states.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `COMMITTED` unit is finished and can be confirmed.
    `CONFIRMED` unit is finished and confirmed.
    `IN_PROCESS` unit is being processed.
    `NOT_FOUND` unit identifier is not available (anymore).
    `ROLLED_BACK` processing of the function unit was aborted.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static JCoFunctionUnitState` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static JCoFunctionUnitState[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### NOT_FOUND

          public static final JCoFunctionUnitState NOT_FOUND

      unit identifier is not available (anymore).

    - #### IN_PROCESS

          public static final JCoFunctionUnitState IN_PROCESS

      unit is being processed.

    - #### COMMITTED

          public static final JCoFunctionUnitState COMMITTED

      unit is finished and can be confirmed.

    - #### CONFIRMED

          public static final JCoFunctionUnitState CONFIRMED

      unit is finished and confirmed.

    - #### ROLLED_BACK

          public static final JCoFunctionUnitState ROLLED_BACK

      processing of the function unit was aborted.

  - ### Method Detail

    - #### values

          public static JCoFunctionUnitState[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (JCoFunctionUnitState c : JCoFunctionUnitState.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static JCoFunctionUnitState valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2016 SAP. All Rights Reserved.